Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class Type3Glyph

    java.lang.Object
      com.lowagie.text.pdf.PdfContentByte
          com.lowagie.text.pdf.Type3Glyph

    public class Type3Glyph

extends PdfContentByte

The content where Type3 glyphs are written to.

Nested Class Summary

Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfContentByte
`PdfContentByte.GraphicState`

Field Summary
`private boolean` | `colorized`
`private PageResources` | `pageResources`

Fields inherited from class com.lowagie.text.pdf.PdfContentByte
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, content, layerDepth, LINE_CAP_BUTT, LINE_CAP_PROJECTING_SQUARE, LINE_CAP_ROUND, LINE_JOIN_BEVEL, LINE_JOIN_MITER, LINE_JOIN_ROUND, pdf, separator, state, stateList, TEXT_RENDER_MODE_CLIP, TEXT_RENDER_MODE_FILL, TEXT_RENDER_MODE_FILL_CLIP, TEXT_RENDER_MODE_FILL_STROKE, TEXT_RENDER_MODE_FILL_STROKE_CLIP, TEXT_RENDER_MODE_INVISIBLE, TEXT_RENDER_MODE_STROKE, TEXT_RENDER_MODE_STROKE_CLIP, writer`

Constructor Summary
`private` | `Type3Glyph()`
`(package private)` | `Type3Glyph(PdfWriter writer, PageResources pageResources, float wx, float llx, float lly, float urx, float ury, boolean colorized)`

Method Summary
`void` | `addImage(Image image, float a, float b, float c, float d, float e, float f, boolean inlineImage)` Adds an `Image` to the page.
`PdfContentByte` | `getDuplicate()` Gets a duplicate of this `PdfContentByte`.
`(package private) PageResources` | `getPageResources()`

Methods inherited from class com.lowagie.text.pdf.PdfContentByte
`add, addAnnotation, addImage, addImage, addImage, addOutline, addOutline, addPSXObject, addTemplate, addTemplate, addTemplateReference, arc, beginLayer, beginMarkedContentSequence, beginMarkedContentSequence, beginMarkedContentSequence, beginText, bezierArc, checkNoPattern, checkWriter, circle, clip, closePath, closePathEoFillStroke, closePathFillStroke, closePathStroke, concatCTM, createAppearance, createAppearance, createGraphics, createGraphics, createGraphics, createGraphics, createGraphicsShapes, createGraphicsShapes, createPattern, createPattern, createPattern, createPattern, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphicsShapes, createPrinterGraphicsShapes, createTemplate, createTemplate, curveFromTo, curveTo, curveTo, drawButton, drawRadioField, drawTextField, ellipse, endLayer, endMarkedContentSequence, endText, eoClip, eoFill, eoFillStroke, escapeString, escapeString, fill, fillStroke, getCharacterSpacing, getEffectiveStringWidth, getHorizontalScaling, getInternalBuffer, getKernArray, getLeading, getPdfDocument, getPdfWriter, getRootOutline, getWordSpacing, getXTLM, getYTLM, lineTo, localDestination, localGoto, moveText, moveTextWithLeading, moveTo, newlineShowText, newlineShowText, newlineText, newPath, outputColorNumbers, paintShading, paintShading, rectangle, rectangle, remoteGoto, remoteGoto, reset, resetCMYKColorFill, resetCMYKColorStroke, resetGrayFill, resetGrayStroke, resetRGBColorFill, resetRGBColorStroke, restoreState, roundRectangle, saveState, setAction, setCharacterSpacing, setCMYKColorFill, setCMYKColorFillF, setCMYKColorStroke, setCMYKColorStrokeF, setColorFill, setColorFill, setColorStroke, setColorStroke, setDefaultColorspace, setFlatness, setFontAndSize, setGrayFill, setGrayStroke, setGState, setHorizontalScaling, setLeading, setLineCap, setLineDash, setLineDash, setLineDash, setLineDash, setLineJoin, setLineWidth, setLiteral, setLiteral, setLiteral, setMiterLimit, setPatternFill, setPatternFill, setPatternFill, setPatternStroke, setPatternStroke, setPatternStroke, setRGBColorFill, setRGBColorFillF, setRGBColorStroke, setRGBColorStrokeF, setShadingFill, setShadingStroke, setTextMatrix, setTextMatrix, setTextRenderingMode, setTextRise, setWordSpacing, showText, showText, showTextAligned, showTextAlignedKerned, showTextKerned, size, stroke, toPdf, toString, transform, variableRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pageResources

    private PageResources pageResources

### colorized

    private boolean colorized

Constructor Detail

### Type3Glyph

    private Type3Glyph()

### Type3Glyph

    Type3Glyph(PdfWriter writer,
               PageResources pageResources,
               float wx,
               float llx,
               float lly,
               float urx,
               float ury,
               boolean colorized)

Method Detail

### getPageResources

    PageResources getPageResources()

  Overrides:
    `getPageResources` in class `PdfContentByte`

### addImage

    public void addImage(Image image,
                         float a,
                         float b,
                         float c,
                         float d,
                         float e,
                         float f,
                         boolean inlineImage)
                  throws DocumentException

  Description copied from class: `PdfContentByte`
  Adds an `Image` to the page. The positioning of the `Image` is done with the transformation matrix. To position an `image` at (x,y) use addImage(image, image_width, 0, 0, image_height, x, y). The image can be placed inline.

  Overrides:
    `addImage` in class `PdfContentByte`
  Parameters:
    `image` - the `Image` object
    `a` - an element of the transformation matrix
    `b` - an element of the transformation matrix
    `c` - an element of the transformation matrix
    `d` - an element of the transformation matrix
    `e` - an element of the transformation matrix
    `f` - an element of the transformation matrix
    `inlineImage` - `true` to place this image inline, `false` otherwise
  Throws:
    `DocumentException` - on error

### getDuplicate

    public PdfContentByte getDuplicate()

  Description copied from class: `PdfContentByte`
  Gets a duplicate of this `PdfContentByte`. All the members are copied by reference but the buffer stays different.

  Overrides:
    `getDuplicate` in class `PdfContentByte`
  Returns:
    a copy of this `PdfContentByte`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD